# POST /runwayml/v1/image_to_video

**Method**: `POST`
**Endpoint**: `/runwayml/v1/image_to_video`

<https://docs.dev.runwayml.com/api/#tag/Start-generating/paths/~1v1~1image_to_video/post>

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
promptImage
array
[object]
Optional
uri
string
Required
A HTTPS URL or data URI containing an encoded image. See our docs on image inputs for more information.
position
enum<string>
Required
  // provider-specific example normalized for English documentation
Enum Values:
first
last
seed
integer
Optional
model
string
Required
"gen3a_turbo"、"gen4_turbo"
promptText
string
Required
watermark
boolean
Optional
duration
integer
5 \ 10
Optional
ratio
string
Optional
  // provider-specific example normalized for English documentation
Example
{
"promptImage"
:
[
{
"uri"
:
"string"
,
"position"
:
"first"
}
]
,
"seed"
:
0
,
"model"
:
"string"
,
"promptText"
:
"string"
,
"watermark"
:
true
,
"duration"
:
0
,
"ratio"
:
"string"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/runwayml/v1/image_to_video' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "promptImage": [
        {
            "uri": "string",
            "position": "first"
        }
    ],
    "seed": 0,
    "model": "string",
    "promptText": "string",
    "watermark": true,
    "duration": 0,
    "ratio": "string"
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
id
string
Required
```

#### Example

```json
{
    "id": "13db8785-77bc-4273-883b-e462f3e7ff52"
}
```
